using System;
using System.Collections.Generic;
using System.Text;

namespace IrrlichtNetSwig
{
    public partial class IVertexBuffer
    {
        public S3DVertex[] getDataAsS3DVertex()
        {
            return _getDataAsS3DVertex().ToArray();
        }
        public S3DVertex2TCoords[] getDataAsS3DVertex2TCoords()
        {
            return _getDataAsS3DVertex2TCoords().ToArray();
        }
        public S3DVertexTangents[] getDataAsS3DVertexTangents()
        {
            return _getDataAsS3DVertexTangents().ToArray();
        }
    }
}
